  -- these set up the pulldown menus for the config page
    local    weights,     heights, sizebuffs, profilesizes, _;
          _, weights      = Format.kg(73);
          _, heights      = Format.cm(168);
          _, sizebuffs    = Format.sizebuff(8212);
          _, profilesizes = Format.sizewords(7, BIG_PROFILE);
  
  -- used below
    local TRUNC_OR_WRAP = {
        { loc("OPT_LINE_TRUNCATE"),     "TRUNCATE",     },
        { loc("OPT_LINE_WORD_TRUNC"),   "WORD_TRUNC",   },
        { loc("OPT_LINE_WRAP_ONCE"),    "WRAP_ONCE",    },
        { loc("OPT_LINE_WRAP_TWICE"),   "WRAP_TWICE",   },
        { loc("OPT_LINE_WRAP_FOREVER"), "WRAP_FOREVER", },
      };
  
    local RPUF_LAYOUTS = {
        { loc("RPUF_FULL"), "FULL", },
        { loc("RPUF_ABRIDGED"), "ABRIDGED", },
        { loc("RPUF_COMPACT"), "COMPACT", },
        { loc("RPUF_PAPERDOLL"), "PAPERDOLL", },
        { loc("RPUF_THUMBNAIL"), "THUMBNAIL", },
  --      { loc("RPUF_HIDDEN"), "HIDDEN", },
      };
    local RPUF_LAYOUTS_SMALL = {
        { loc("RPUF_ABRIDGED"), "ABRIDGED", },
        { loc("RPUF_COMPACT"), "COMPACT", },
        { loc("RPUF_THUMBNAIL"), "THUMBNAIL", },
  --      { loc("RPUF_HIDDEN"), "HIDDEN", },
      };
  
  RPTAGS.cache.layoutOptions = {
     RPUF_Player       = { choices = RPUF_LAYOUTS,       config = "PLAYERLAYOUT" },
     RPUF_Target       = { choices = RPUF_LAYOUTS,       config = "TARGETLAYOUT" },
     RPUF_Focus        = { choices = RPUF_LAYOUTS_SMALL, config = "FOCUSLAYOUT"  },
     RPUF_TargetTarget = { choices = RPUF_LAYOUTS_SMALL, config = "FOCUSLAYOUT"  },
     };

  -- this works with the above to finish setting up the pulldowns
    local LIST = { -- yeah there are probably easier ways to do this but whatever
      UNITS_HEIGHT = { 
        { heights["CM"],              "CM" },
        { heights["CM_FT_IN"],        "CM_FT_IN" },
        { heights["CM_IN"],           "CM_IN" },
        { heights["FT_IN"],           "FT_IN" },
        { heights["FT_IN_CM"],        "FT_IN_CM" },
        { heights["IN"],              "IN" }, 
        { heights["IN_CM"],           "IN_CM" },
        { heights["HEIGHT_PASSTHRU"], "HEIGHT_PASSTHRU" },
       },
      UNITS_WEIGHT = { 
        { weights["KG"],              "KG" },
        { weights["KG_LB"],           "KG_LB" },
        { weights["KG_ST_LB"],        "KG_ST_LB" },
        { weights["LB_KG"],           "LB_KG",}, 
        { weights["LB_ST"],           "LB_ST",},
        { weights["ST_LB"],           "ST_LB",},
        { weights["ST_LB_KG"],        "ST_LB_KG",},
        { weights["ST_LB_LB_KG"],     "ST_LB_LB_KG" },
        { weights["WEIGHT_PASSTHRU"], "WEIGHT_PASSTHRU" },
       },
      PROFILESIZE_FMT = { 
        { profilesizes["WRD_BRC_NUM"], "WRD_BRC_NUM" },
        { profilesizes["WRD_PAR_NUM"], "WRD_PAR_NUM" },
        { profilesizes["BRC_WRD_NUM"], "BRC_WRD_NUM" },
        { profilesizes["PAR_WRD"],     "PAR_WRD" },
        { profilesizes["WRD"],         "WRD" },
        { profilesizes["BRC_LTR_NUM"], "BRC_LTR_NUM" }, 
        { profilesizes["BRC_LTR"],     "BRC_LTR" }, 
        { profilesizes["LTR"],         "LTR",},
        { profilesizes["BRC_NUM"],     "BRC_NUM",},
        { profilesizes["NUM"],         "NUM",},
       },
      SIZEBUFF_FMT = { 
        { sizebuffs["PCT"],          "PCT" },
        { sizebuffs["PCT_BRC"],      "PCT_BRC" },
        { sizebuffs["PCT_BUFF"],     "PCT_BUFF" },
        { sizebuffs["BUFF_PCT"],     "BUFF_PCT" },
        { sizebuffs["BUFF"],         "BUFF" },
        { sizebuffs["BUFF_BRC"],     "BUFF_BRC" },
        { sizebuffs["BUFF_PCT_BRC"], "BUFF_PCT_BRC" },
      },
      GLANCE_COLON = { 
        { loc("CONFIG_GLANCE_COLON_COLON"),   ": "  , },
        { loc("CONFIG_GLANCE_COLON_COMMAS"), ", "  , },
        { loc("CONFIG_GLANCE_COLON_DASHES"),  " - " , },
        { loc("CONFIG_GLANCE_COLON_SLASHES"), " / " , },
        { loc("CONFIG_GLANCE_COLON_SPACES"),  " "   , }, 
      },
      GLANCE_DELIM = { 
        { loc("CONFIG_GLANCE_DELIM_COMMAS"),     ", ",  },
        { loc("CONFIG_GLANCE_DELIM_NEWLINES"),   "\n",  },
        { loc("CONFIG_GLANCE_DELIM_SEMICOLONS"), "; ",  },
        { loc("CONFIG_GLANCE_DELIM_SLASHES"),    " / ", },
        { loc("CONFIG_GLANCE_DELIM_SPACES"),     ", ",  },
      },
      REF_TOPIC   = { }, -- filled in later
      NAME_WRAP   = TRUNC_OR_WRAP,
      TITLE_WRAP  = TRUNC_OR_WRAP,
      GLANCE_WRAP = TRUNC_OR_WRAP,
      GLANCETITLE_WRAP = TRUNC_OR_WRAP,
      MISC_WRAP   = TRUNC_OR_WRAP,
      CURR_WRAP   = TRUNC_OR_WRAP,
      PLAYERLAYOUT = RPUF_LAYOUTS,
      TARGETLAYOUT = RPUF_LAYOUTS,
      FOCUSLAYOUT  = RPUF_LAYOUTS_SMALL,
      PARTYLAYOUT  = RPUF_LAYOUTS,
      RAIDLAYOUT   = RPUF_LAYOUTS_SMALL,
      RPUF_WITH_ELVUI = {
        { loc("MODE_PARALLEL"), true,       },
        { loc("MODE_ELVUI"),    false,      },
      },
      RPUF_BACKDROP = {
        { loc("BACKDROP_ORIGINAL"), "ORIGINAL", },
        { loc("BACKDROP_BLIZZTOOLTIP"), "BLIZZTOOLTIP", },
      },
     }; -- closes the LIST table
  
    -- local PORTRAIT_TYPE = {};
    -- for portraitType, _ in pairs(RPTAGS.const.ANIM)
    -- do  table.insert(PORTRAIT_TYPE, { loc("PORTRAIT_TYPE_" .. portraitType), portraitType} );
    -- end; 
    -- table.sort(PORTRAIT_TYPE, function(a, b) return a[1] < b[1] end);
    -- LIST.PORTRAIT_TYPE = PORTRAIT_TYPE;
        
    local tempList = {};
    local default;
    for topic, _ in pairs(RPTAGS.cache.helptopics) 
      do local  title = loc("HELPTITLE_" .. topic);
         if     title:match("^%- DEFAULT: ")
         then   -- Ora("|cff00dd00", "Skipping the Default!", "|r");
         elseif title:match("^%- ")
         then   table.insert(LIST.REF_TOPIC, { "|cffdddd00" .. title:gsub("^%- ", "") .. "|r", topic }); 
                -- Ora("|cffdddd00", "Match: ", "|r", loc("HELPTITLE_" .. topic));
                --          (--------------, { ------------------------------------------, ----- });
         else   table.insert(tempList,       { loc("HELPTITLE_" .. topic)                , topic });
                -- Ora("|cffdd0000", "NOT a Match: ", "|r", loc("HELPTITLE_" .. topic));
         end;   -- if
    end; -- for
    table.sort(LIST.REF_TOPIC, function(a, b) return a[1] < b[1] end);
    table.sort(tempList,       function(a, b) return a[1] < b[1] end);
    for _, v in ipairs(tempList) do table.insert(LIST.REF_TOPIC, v) end;
    -- table.insert(LIST.REF_TOPIC, 1, default);
  
