-- ------------------------------------------------------------------------------
-- RP Tags
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

--
-- available under RPTAGS.const.CONFIG
--
local RPTAGS = RPTAGS;

table.insert(RPTAGS.startup, function() -- startup function
  
    -- ----------------- - Temporary values that are used later 
  local CYAN              = "ff3399";
  local GREEN             = "33ff33";
  local GREY              = "999999";
  local YELLOW            = "ffff66";
  local LITE_GREY         = "bbbbbb";
  local ORANGE            = "ff9966"; 
  local PINK              = "ff66ff";
  local RED               = "ff3333";
  local LITE_BLUE         = "00bbbb";
  local WHITE             = "ffffff";
  local BLACK             = "000000";
  local ORA_COLOR         = "bb00bb";
  local VIOLET            = "aa00cc";
  
  local Utils = RPTAGS.utils

  RPTAGS.const.COLOR_GREEN = GREEN;
  RPTAGS.const.COLOR_RED   = RED;
  
  local settings = {
    CONFIG_PAGES = {
      MAIN       = "main_config_rptags_aaa_main",
--      FORMATTING = "main_config_rptags_bbb_formatting",
      COLORS     = "main_config_rptags_ccc_colors",
      LAYOUT     = "main_config_rptags_ddd_rpuf_layout",
      PANELS     = "main_config_rptags_eee_rpuf_panels",
      REFERENCE  = "main_config_rptags_zzz_reference",
    }, -- CONFIGPAGES
    PAGES = {}, -- filled in later
    KEYS = {     
      ADULT_GENDERS      = "rptags_adult_gender",
      CHANGES_MESSAGE    = "rptags_changes_message",
      COLOR_EQUALISH     = "rptags_color_equalish",
      COLOR_FEMALE       = "rptags_gendercolor_female",
      COLOR_GREATERTHAN  = "rptags_color_greaterthan",
      COLOR_HILITE_1     = "rptags_color_hilite_1",
      COLOR_HILITE_2     = "rptags_color_hilite_2",
      COLOR_HILITE_3     = "rptags_color_hilite_3",
      COLOR_IC           = "rptags_color_status_ic",
      COLOR_LESSTHAN     = "rptags_color_lessthan",
      COLOR_MALE         = "rptags_gendercolor_male",
      COLOR_NEUTER       = "rptags_gendercolor_neuter",
      COLOR_NPC          = "rptags_color_status_npc",
      COLOR_OOC          = "rptags_color_status_ooc",
      COLOR_RPUF         = "rptags_rpuf_frame_background_color",
      COLOR_THEY         = "rptags_gendercolor_they",
      COLOR_UNKNOWN      = "rptags_color_unknown",
      DETAILHEIGHT       = "rptags_rpuf_details_panel_height",
      DETAILPANEL        = "rptags_rpuf_details_panel_contents",
      DETAIL_TOOLTIP     = "rptags_rpuf_tooltips_details_panel",
      DISABLE_BLIZZARD   = "rptags_rpuf_disable_blizzard",
      ENABLE_BLIZZARD    = "rptags_rpuf_enable_blizzard",
      FOCUSLAYOUT        = "rptags_rpuf_focus_and_targettarget_layout",
      GAPSIZE            = "rptags_rpuf_layout_gap_size",
      GLANCE_COLON       = "rptags_at_first_glance_colon",
      GLANCE_DELIM       = "rptags_at_first_glance_delimiter",
      HIDDEN_RPUF_WITH_ELVUI = "rptags_rpuf_runs_with_elvui_hidden_setting",
      ICONWIDTH          = "rptags_rpuf_icon_panel_width",
      ICON_1             = "rptags_rpuf_icon_1_slot_contents",
      ICON_1_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_1",
      ICON_2             = "rptags_rpuf_icon_2_slot_contents",
      ICON_2_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_2",
      ICON_3             = "rptags_rpuf_icon_3_slot_contents",
      ICON_3_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_3",
      ICON_4             = "rptags_rpuf_icon_4_slot_contents",
      ICON_4_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_4",
      ICON_5             = "rptags_rpuf_icon_5_slot_contents",
      ICON_5_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_5",
      ICON_6             = "rptags_rpuf_icon_6_slot_contents",
      ICON_6_TOOLTIP     = "rptags_rpuf_tooltips_icon_slot_6",
      INFOPANEL          = "rptags_rpuf_info_panel_contents",
      INFOWIDTH          = "rptags_rpuf_info_panel_width",
      INFO_TOOLTIP       = "rptags_rpuf_tooltips_info_panel",
      LINEBREAKS         = "rptags_linebreaks",
      LOCK_FRAMES        = "rptags_rpuf_lock_frames", 
      LOGIN_MESSAGE      = "rptags_login_message",
      NAMEPANEL          = "rptags_rpuf_name_panel_contents",
      NAME_TOOLTIP       = "rptags_rpuf_tooltips_name_panel",
      NOTE_1_ICON        = "rptags_notes_alert_1_icon",
      NOTE_1_STRING      = "rptags_notes_alert_1",
      NOTE_2_ICON        = "rptags_notes_alert_2_icon",
      NOTE_2_STRING      = "rptags_notes_alert_2",
      NOTE_3_ICON        = "rptags_notes_alert_3_icon",
      NOTE_3_STRING      = "rptags_notes_alert_3",
      PARSE_AGE          = "rptags_parse_age",
      PARSE_GENDER       = "rptags_parse_gender",
      PARSE_HW           = "rptags_parse_height_weight",
      PLAYERLAYOUT       = "rptags_rpuf_player_layout",
      PORTRAIT_TOOLTIP   = "rptags_rpuf_tooltips_portrait",
      PORTRAIT_TYPE      = "rptags_rpuf_portrait_type_camera",
      PORTWIDTH          = "rptags_rpuf_portrait_width",
      PROFILESIZE_FMT    = "rptags_profilesize_format",
      REAL_ELLIPSES      = "rptags_real_ellipses",
      REF_TOPIC          = "rptags_reference_topic",
      RESET_COLORS       = "rptags_colors_reset",
      RESET_FRAMES       = "rptags_rpuf_reset_frame_dimensions",
      RESET_TAGS         = "rptags_rpuf_reset_tag_values",
      RPUFALPHA          = "rptags_rpuf_alpha",
      RPUF_BACKDROP      = "rptags_rpuf_backdrop_texture",
      RPUF_HIDE          = "rptags_rpuf_hide_in_combat",
      RPUF_WITH_ELVUI    = "rptags_rpuf_runs_with_elvui",
      SIZEBUFF_FMT       = "rptags_sizebuffs_format",
      STATUSHEIGHT       = "rptags_rpuf_status_panel_height",
      STATUSPANEL        = "rptags_rpuf_status_panel_contents",
      STATUS_TOOLTIP     = "rptags_rpuf_tooltips_statusbar_panel",
      TARGETLAYOUT       = "rptags_rpuf_target_layout",
      UNITS_HEIGHT       = "rptags_units_height",
      UNITS_WEIGHT       = "rptags_units_weight",
--    CURR_SIZE          = "rptags_size_currently", -- removed
--    CURR_WRAP          = "rptags_wrap_currently", -- removed
--    GLANCETITLE_SIZE   = "rptags_size_glancetitle",
--    GLANCETITLE_WRAP   = "rptags_wrap_glancetitle",
--    GLANCE_SIZE        = "rptags_size_glance",
--    GLANCE_WRAP        = "rptags_wrap_glance",
--    IC_ONLY            = "rptags_ic_only", -- removed
--    MISC_SIZE          = "rptags_size_misc",
--    MISC_WRAP          = "rptags_wrap_misc",
--    NAME_SIZE          = "rptags_size_name",
--    NAME_WRAP          = "rptags_wrap_name",
--    PARTYLAYOUT        = "rptags_rpuf_party_and_raid_layout",  -- not yet implemented
--    RAIDLAYOUT         = "rptags_rpuf_raid_layout",            -- not yet implemented
--    TITLE_SIZE         = "rptags_size_title",
--    TITLE_WRAP         = "rptags_wrap_title",
      }, -- KEYS
    DEFAULTS = { 
      ADULT_GENDERS      = false,
      CHANGES_MESSAGE    = true,
      COLOR_EQUALISH     = LITE_GREY,
      COLOR_FEMALE       = PINK,
      COLOR_GREATERTHAN  = LITE_BLUE,
      COLOR_HILITE_1     = CYAN,
      COLOR_HILITE_2     = YELLOW,
      COLOR_HILITE_3     = ORANGE,
      COLOR_IC           = GREEN,
      COLOR_LESSTHAN     = YELLOW,
      COLOR_MALE         = LITE_BLUE,
      COLOR_NEUTER       = LITE_GREY,
      COLOR_NPC          = YELLOW,
      COLOR_OOC          = RED,
      COLOR_RPUF         = "000000",
      COLOR_THEY         = YELLOW,
      COLOR_UNKNOWN      = GREY,
      DETAILHEIGHT       = 100,
      DETAILPANEL        = "[rp:oocinfo]",
      DETAIL_TOOLTIP     = "[rp:statuscolor][rp:ic][rp:ooc][nocolor] [rp:oocinfo-label]",
      DISABLE_BLIZZARD   = false,
      ENABLE_BLIZZARD    = true,
      EXTEND_GENDER      = false,
      FOCUSLAYOUT        = "COMPACT",
      FORMATTING_TAGS    = true,
      GAPSIZE            = 6,
      GLANCE_COLON       = ": ",
      GLANCE_DELIM       = "\n",
      HIDDEN_RPUF_WITH_ELVUI = false,
      ICONWIDTH          = 25,
      ICON_1             = "[rp:icon]",
      ICON_1_TOOLTIP     = "[rp:style-yes-label][br][rp:style-ask-label][br][rp:style-no-label]",
      ICON_2             = "[rp:glance-1-icon]",
      ICON_2_TOOLTIP     = "[rp:glance-1-full]",
      ICON_3             = "[rp:glance-2-icon]",
      ICON_3_TOOLTIP     = "[rp:glance-2-full]",
      ICON_4             = "[rp:glance-3-icon]",
      ICON_4_TOOLTIP     = "[rp:glance-3-full]",
      ICON_5             = "[rp:glance-4-icon]",
      ICON_5_TOOLTIP     = "[rp:glance-4-full]",
      ICON_6             = "[rp:glance-5-icon]",
      ICON_6_TOOLTIP     = "[rp:glance-5-full]",
      INFOPANEL          = "[rp:race] [rp:class]",
      INFOWIDTH          = 200,
      INFO_TOOLTIP       = "[rp:gendercolor][rp:gender][nocolor] [rp:guildcolor][race] [rp:friendcolor][class] [level]",
      LINEBREAKS         = false,
      LOCK_FRAMES        = false,
      LOGIN_MESSAGE      = true,
      NAMEPANEL          = "[rp:color][rp:name]",
      NAME_TOOLTIP       = "[rp:namecolor][rp:friendcolor][rp:firstname] [rp:nick-quoted] [rp:lastname][nocolor][br][rp:title-long][p][rp:guildcolor][rp:guild-label][nocolor] [rp:guildstatuscolor][rp:guild-status][nocolor][br][rp:guild-rank-label]",
      NOTE_1_ICON        = "INV_Misc_ScrollUnrolled03.PNG",
      NOTE_1_STRING      = "Warning:",
      NOTE_2_ICON        = "INV_Misc_ScrollUnrolled03d.PNG",
      NOTE_2_STRING      = "Reminder:",
      NOTE_3_ICON        = "INV_Misc_ScrollUnrolled02c.PNG",
      NOTE_3_STRING      = "Alt of",
      PARSE_AGE          = false,
      PARSE_GENDER       = false,
      PARSE_HW           = false,
      PLAYERLAYOUT       = "ABRIDGED",
      PORTRAIT_TOOLTIP   = "[rp:eyecolor][rp:eyes-label][nocolor][br][rp:hair-label][br][rp:actor-label]",
      PORTRAIT_TYPE      = "FACE",
      PORTWIDTH          = 100,
      PROFILESIZE_FMT    = "WRD_PAR_NUM",
      REAL_ELLIPSES      = true,
      REF_TOPIC          = "SETTINGS",
      RESET_COLORS       = true,
      RESET_FRAMES       = true,
      RESET_TAGS         = true,
      RPUFALPHA          = 65,
      RPUF_BACKDROP      = "ORIGINAL",
      RPUF_HIDE          = false,
      RPUF_WITH_ELVUI    = true,
      SIZEBUFF_FMT       = "PCT_BRC",
      STATUSHEIGHT       = 35,
      STATUSPANEL        = "[rp:statuscolor][rp:ic][rp:ooc] [nocolor][rp:currently]",
      STATUS_TOOLTIP     = "[rp:statuscolor][rp:ic][rp:ooc] [nocolor][rp:currently-label]",
      TARGETLAYOUT       = "FULL",
      UNITS_HEIGHT       = "CM_FT_IN",
      UNITS_WEIGHT       = "KG_LB",
--    CURR_SIZE          = 30,
--    CURR_WRAP          = "WRAP_ONCE",
--    GLANCETITLE_SIZE   = 30,
--    GLANCETITLE_WRAP   = "WORD_TRUNC",
--    GLANCE_SIZE        = 30,
--    GLANCE_WRAP        = "WORD_TRUNC",
--    IC_ONLY            = false,
--    MISC_SIZE          = 30,
--    MISC_WRAP          = "WORD_TRUNC",
--    NAME_SIZE          = 30,
--    NAME_WRAP          = "TRUNCATE",
--    TITLE_SIZE         = 30,
--    TITLE_WRAP         = "WORD_TRUNC",
--    PARTYLAYOUT        = "ABRIDGED",    -- not implemented yet
--    RAIDLAYOUT         = "COMPACT",     -- not implemented yet
    }, -- DEFAULTS
    GROUPS = {
      COLORS = { "COLOR_EQUALISH", "COLOR_GREATERTHAN", "COLOR_LESSTHAN",
                 "COLOR_FEMALE", "COLOR_MALE", "COLOR_NEUTER", "COLOR_THEY", "COLOR_UNKNOWN",
                 "COLOR_HILITE_1", "COLOR_HILITE_2", "COLOR_HILITE_3",
                 "COLOR_IC", "COLOR_NPC", "COLOR_OOC", },
      TAGS   = { 'ICON_1', 'ICON_2', 'ICON_3', 'ICON_4', 'ICON_5', 'ICON_6', 
                 'DETAILPANEL', 'INFOPANEL', 'NAMEPANEL', 'STATUSPANEL', 
                 'PORTRAIT_TOOLTIP', 'STATUS_TOOLTIP', 'NAME_TOOLTIP', 'INFO_TOOLTIP', 'DETAIL_TOOLTIP',
                 'ICON_1_TOOLTIP', 'ICON_2_TOOLTIP', 'ICON_3_TOOLTIP', 'ICON_4_TOOLTIP', 'ICON_5_TOOLTIP', 'ICON_6_TOOLTIP',
                 },
      FRAMES = { 'ICONWIDTH', 'INFOWIDTH', 'PORTWIDTH', 'STATUSHEIGHT', 'GAPSIZE', 'DETAILHEIGHT', }, 
      },
    CALLBACKS = {
      DISABLE_BLIZZARD   = function() StaticPopup_Show("RPTAGS_SAVE_AND_RELOAD") end,
      ENABLE_BLIZZARD    = function() StaticPopup_Show("RPTAGS_SAVE_AND_RELOAD") end,
  
      RESET_COLORS       = function() Utils.config.resetgroup("COLORS")                                        Utils.text.notify("COLORS_ARE_RESET"); end,
      RESET_TAGS         = function() Utils.config.resetgroup("TAGS")                                          Utils.text.notify("TAGS_ARE_RESET");   end,
      RESET_FRAMES       = function() Utils.config.resetgroup("FRAMES", "LAYOUT") Utils.rpuf.frame.resetloc(); Utils.text.notify("FRAMES_ARE_RESET"); end,
  
      RPUFALPHA          = function() Utils.rpuf.frame.setbg(Utils.config.get("RPUFALPHA"), Utils.config.get("COLOR_RPUF")); end,
      COLOR_RPUF         = function() Utils.rpuf.frame.setbg(Utils.config.get("RPUFALPHA"), Utils.config.get("COLOR_RPUF")); end,
      NOTE_1_STRING      = function() Utils.tags.refreshAll() end,
      NOTE_2_STRING      = function() Utils.tags.refreshAll() end,
      NOTE_3_STRING      = function() Utils.tags.refreshAll() end,
      GAPSIZE            = function() Utils.rpuf.frame.resizeall();      end,
      ICONWIDTH          = function() Utils.rpuf.frame.resizeall();      end,
      INFOWIDTH          = function() Utils.rpuf.frame.resizeall();      end,
      PORTWIDTH          = function() Utils.rpuf.frame.resizeall();      end,
      STATUSHEIGHT       = function() Utils.rpuf.frame.resizeall();      end,
      DETAILHEIGHT       = function() Utils.rpuf.frame.resizeall();      end,
      FOCUSLAYOUT        = function() Utils.rpuf.frame.resizeall();      end,
      PLAYERLAYOUT       = function() Utils.rpuf.frame.resizeall();      end,
      TARGETLAYOUT       = function() Utils.rpuf.frame.resizeall();      end,

      INFOPANEL          = function() Utils.rpuf.frame.tagall('InfoPanel',      Utils.config.get('INFOPANEL'));                   end,
      NAMEPANEL          = function() Utils.rpuf.frame.tagall('NamePanel',      Utils.config.get('NAMEPANEL'));                   end,
      STATUSPANEL        = function() Utils.rpuf.frame.tagall('StatusBarPanel', Utils.config.get('STATUSPANEL'));                 end,
      DETAILPANEL        = function() Utils.rpuf.frame.tagall('DetailsPanel',   Utils.config.get("DETAILPANEL"));                 end,
      ICON_1             = function() Utils.rpuf.frame.tagall('Icon_1Panel',    Utils.config.get('ICON_1'));                      end,
      ICON_2             = function() Utils.rpuf.frame.tagall('Icon_2Panel',    Utils.config.get("ICON_2"));                      end,
      ICON_3             = function() Utils.rpuf.frame.tagall('Icon_3Panel',    Utils.config.get("ICON_3"));                      end,
      ICON_4             = function() Utils.rpuf.frame.tagall('Icon_4Panel',    Utils.config.get('ICON_4'));                      end,
      ICON_5             = function() Utils.rpuf.frame.tagall('Icon_5Panel',    Utils.config.get('ICON_5'));                      end,
      ICON_6             = function() Utils.rpuf.frame.tagall('Icon_6Panel',    Utils.config.get('ICON_6'));                      end,
      PORTRAIT_TOOLTIP   = function() Utils.rpuf.frame.tagall("Portrait",       Utils.config.get("PORTRAIT_TOOLTIP"), "tooltip"); end,
      STATUS_TOOLTIP     = function() Utils.rpuf.frame.tagall("StatusBarPanel", Utils.config.get("STATUS_TOOLTIP"),   "tooltip"); end,
      NAME_TOOLTIP       = function() Utils.rpuf.frame.tagall("NamePanel",      Utils.config.get("NAME_TOOLTIP"),     "tooltip"); end,
      INFO_TOOLTIP       = function() Utils.rpuf.frame.tagall("InfoPanel",      Utils.config.get("INFO_TOOLTIP"),     "tooltip"); end,
      DETAIL_TOOLTIP     = function() Utils.rpuf.frame.tagall("DetailsPanel",   Utils.config.get("DETAIL_TOOLTIP"),   "tooltip"); end,
      ICON_1_TOOLTIP     = function() Utils.rpuf.frame.tagall("Icon_1Panel",    Utils.config.get("ICON_1_TOOLTIP"),   "tooltip"); end,
      ICON_2_TOOLTIP     = function() Utils.rpuf.frame.tagall("Icon_2Panel",    Utils.config.get("ICON_2_TOOLTIP"),   "tooltip"); end,
      ICON_3_TOOLTIP     = function() Utils.rpuf.frame.tagall("Icon_3Panel",    Utils.config.get("ICON_3_TOOLTIP"),   "tooltip"); end,
      ICON_4_TOOLTIP     = function() Utils.rpuf.frame.tagall("Icon_4Panel",    Utils.config.get("ICON_4_TOOLTIP"),   "tooltip"); end,
      ICON_5_TOOLTIP     = function() Utils.rpuf.frame.tagall("Icon_5Panel",    Utils.config.get("ICON_5_TOOLTIP"),   "tooltip"); end,
      ICON_6_TOOLTIP     = function() Utils.rpuf.frame.tagall("Icon_6Panel",    Utils.config.get("ICON_6_TOOLTIP"),   "tooltip"); end,
  
      LOCK_FRAMES        = function() Utils.rpuf.frame.lockall() end,
  
      REF_TOPIC          = function() Utils.help.display(Utils.config.get('REF_TOPIC')); end,
      RPUF_WITH_ELVUI    = function() StaticPopup_Show("RPTAGS_CHANGE_MODE") end,
      RPUF_BACKDROP      = function() Utils.rpuf.frame.backdrop(Utils.config.get("RPUF_BACKDROP")) end,
      -- PORTRAIT_TYPE      = function() Utils.rpuf.frame.portraits() end,
      RPUF_HIDE          = function() Utils.rpuf.frame.sethide(); end,


    }, -- CALLBACKS
  };
  
  RPTAGS.const.CONFIG = settings;

  return "const-settings";
end);  -- startup function
