-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.

--Notices:

--You do not have to comply with the license for elements of the material
--in the public domain or where your use is permitted by an applicable
--exception or limitation.

--No warranties are given. The license may not give you all of the
--permissions necessary for your intended use. For example, other rights
--such as publicity, privacy, or moral rights may limit how you use the material.
-- ------------------------------------------------------------------------------
-- localization done on 

local RPTAGS = RPTAGS;

table.insert(RPTAGS.startup, function() -- startup function
  local Const  = RPTAGS.const;
  local T_     = Const.icons.T_;
  local _t     = Const.icons._t;
  local Icon   = Const.icons;
  
  local Locale = RPTAGS.locale;
  local lang = "enUS";
  
  local RP               = "rp:";
  local NOCOLOR          = "|r";
  local TAGS             = "tags";
  local UNITFRAMES       = "UnitFrames";
  local UF               = "UF";
  local SP               = " "; -- space

  local APP_COLOR        = Const.APP_COLOR     ;
  local RPUF_COLOR       = Const.APP_RPUF_COLOR;

  local COLOR_RP         = APP_COLOR  .. RP         .. NOCOLOR;
  local COLOR_UNITFRAMES = RPUF_COLOR .. UNITFRAMES .. NOCOLOR;
  local COLOR_UF         = RPUF_COLOR .. UF         .. NOCOLOR;

  local APP_NAME         = COLOR_RP .. TAGS             ;
  local RPUF_NAME        = COLOR_RP .. COLOR_UNITFRAMES ;
  local RPUF_ABBR        = COLOR_RP .. COLOR_UF         ;

  local RAINBOW_COLORS   = "|cffff0000C|cffff9900o|cffffff00l|cff00ff00o|cff00ffffr|cffff00ffs|r";

    -- US English localization ------------------------------------------------------------------------------
  Locale[lang] = {
    -- newly added ------ - -----testing ------
    CONFIG_H1_NOTES       = "Notes Keywords",
    CONFIG_NOTE_1_STRING = "First Note Keyword",
    CONFIG_NOTE_2_STRING = "Second Note Keyword",
    CONFIG_NOTE_3_STRING = "Third Note Keyword",
    CONFIG_NOTE_1_STRING_TT = "If you have set a note on the unit and a line in the note contains this word, then [rp:note-1] will display that line. Keywords must be at least 3 characters long and can contain Lua patterns.",
    CONFIG_NOTE_2_STRING_TT = "If you have set a note on the unit and a line in the note contains this word, then [rp:note-2] will display that line. Keywords must be at least 3 characters long and can contain Lua patterns.",
    CONFIG_NOTE_3_STRING_TT = "If you have set a note on the unit and a line in the note contains this word, then [rp:note-3] will display that line. Keywords must be at least 3 characters long and can contain Lua patterns.",
    FMT_A                 = "a %s",
    RELATION_STRANGER     = "a stranger",
    RELATION_UNFRIENDLY   = "enemy",
    RELATION_NEUTRAL      = "acquaintance",
    RELATION_BUSINESS     = "business contact",
    RELATION_FRIENDLY     = "friend",
    RELATION_LOVE         = "loved one",
    RELATION_FAMILY       = "family member",
    WORD_MY               = "my",
    WORD_YOUR             = "your",
    -- ------------------ - related to the app itself
    APP_DESC              = "Extends ElvUI's unitframes to use TRP3 fields in tags",
    APP_COLOR_RP          = COLOR_RP,
    APP_NAME              = APP_NAME,
    RPUF_NAME             = RPUF_NAME,
    -- ------------------ - startup errors
    NO_MSP_CLIENT         = APP_NAME .. "|cffff0000 Startup Error:|r\n\n" ..  APP_NAME .. " requires that you have a roleplaying addon installed; the only supported addon currently is Total RP 3.\n\nSince you don't have that installed, " .. APP_NAME .. " has been disabled.", 
    -- NO_MSP_CLIENT         = APP_NAME .. "|cffff0000 Startup Error:|r\n\n" ..  APP_NAME .. " requires that you have a roleplaying addon installed; supported addons are total RP 3 and MyRolePlay.\n\nSince you don't have one of those installed, " .. APP_NAME .. " has been disabled.", 
    TOO_MANY_MSP          = APP_NAME .. "|cffff0000 Startup Error:|r\n\n" .. "Since you have more than one roleplaying addon installed, " .. APP_NAME .. " has been disabled. Please disable one of those addons and reload your user interface. \n\nThe roleplaying addons found by " .. APP_NAME .. " were: ", 
    ERROR_ACKNOWLEDGED    = "Understood",
    ADDON_MRP             = "MyRolePlay",
    ADDON_TRP3            = "Total RP 3",
    ADDON_XRP             = "XRP Roleplay Profiles",
    -- ------------------ - 
    APP_SLASH             = "/rptags",
    APP_SLASH_SHORT       = "/rptag",
    APP_SLASH_SHORTER     = "/rpt",
    APP_ID                = Const.APP_ID,
    APP_VERSION           = Const.VERSION,
    APP_VERSION_MODE      = Const.VERSION_MODE,
    APP_CREATOR           = Const.ORAIBI,
    APP_CHANGES           = "Bug fixes, including a fix for broken [rp:profilesize] tags. Better now. [[[Previously:]]] Bug fixes.",
    -- APP_CHANGES           = "Fixed a bug introduced while updating the CHANGES message for the previously fixed bug. [[[Previously:]]] Fixed a bug preventing frame locations from being saved, added a new bug.",
    -- APP_CHANGES           = "Fixed a bug preventing frame locations from being saved. [[[Previously:]]] Better unknown tag handling, hide in combat, bug fixes.",
    -- 0.934 APP_CHANGES           = "RPUF handles unknown tags better, misc bug fixes, removed broken line wrapping code. [[[Previously:]]] Added option to hide RPUF in combat; added [rp:guildstatuscolor], [rp:actor], [rp:bodyclaim], [rp:nick-quoted].",
    -- APP_CHANGES           = "Added option to hide RPUF in combat; fixed bug with [rp:guild] parsing; added [rp:guildstatuscolor], [rp:actor], [rp:bodyclaim].\n[[[Previously:]]] Changed moving RPUF frames, added RPUF formatting options, tooltips, context menus; added [rp:nick-quoted].",
    -- 0.932 APP_CHANGES           = "Changed the way you move RPUF frames around. [[[Previously:]]] Added formatting options for RPUF; added tooltips and context menus for RPUF; added [rp:nick-quoted] tag; bug fixes.",
    -- 0.931 APP_CHANGES           = "Added formatting options for RPUF; added tooltips and context menus for RPUF; added [rp:nick-quoted] tag; bug fixes. [[[Previously:]]] New " .. Const.APP_RPUF_COLOR .. "Parallel Mode|r to run RPUF windows alongside ElvUI.",
    -- APP_CHANGES           = "Added border option to RPUF frames. [[[Previously:]]] New " .. Const.APP_RPUF_COLOR .. "Parallel Mode|r to run RPUF windows alongside ElvUI.",
    -- APP_CHANGES           = "New " .. Const.APP_RPUF_COLOR .. "Parallel Mode|r to run RPUF windows alongside ElvUI. [[[Previously:]]] Tag editor for standalone mode; new tags rp:server], [rp:style], [rp:xp], [rp:client], [rp:guild], [rp:guildcolor], [rp:friendcolor], [rp:partycolor].",
    CHANGES               = "Changes",
  
    -- sizes of things    -
    SIZE_EXTRA_LARGE      = "Extra Large",
    SIZE_LARGE            = "Large",
    SIZE_MEDIUM           = "Medium",
    SIZE_SMALL            = "Small",
    SIZE_EXTRA_SMALL      = "Extra Small",
    SIZE_XL               = "XL",
    SIZE_L                = "L",
    SIZE_M                = "M",
    SIZE_S                = "S",
    SIZE_XS               = "XS",
    SIZE_UNKNOWN          = "Unknown",
    SIZE_U                = "U",
    -- backdrops
    CONFIG_RPUF_BACKDROP  = "Frame Border",
    CONFIG_RPUF_BACKDROP_TT = "Choose whether the RPUF frame has a border or not.",
    BACKDROP_ORIGINAL     = "No Border",
    BACKDROP_BLIZZTOOLTIP = "Border",
    -- autohide
    CONFIG_RPUF_HIDE      = "Hide in Combat",
    CONFIG_RPUF_HIDE_TT   = "Check this to hide RPUF when you are in combat.",
    RPUF_HIDE_IN_COMBAT   = RPUF_NAME .. " are now hidden during combat.",
    RPUF_SHOW_IN_COMBAT   = RPUF_NAME .. " will be shown during combat.",
    -- portraits
    CONFIG_PORTRAIT_TYPE    = "Portrait Style",
    CONFIG_PORTRAIT_TYPE_TT = "Choose the type of portrait on unit frame layouts that display portraits.",

    PORTRAIT_TYPE_BOW       = "Formal",
    PORTRAIT_TYPE_CHEER     = "Cheer",
    PORTRAIT_TYPE_DANCE     = "Dance",
    PORTRAIT_TYPE_EXCITED   = "Excited",
    -- PORTRAIT_TYPE_FACE      = "Idle, Close Up",
    PORTRAIT_TYPE_FACE      = "Face",
    PORTRAIT_TYPE_FLEX      = "Strong",
    PORTRAIT_TYPE_FLIRT     = "Flirty",
    -- PORTRAIT_TYPE_FULLBODY  = "Idle",
    PORTRAIT_TYPE_FULLBODY  = "Full Body",
    PORTRAIT_TYPE_KISS      = "Affectionate",
    PORTRAIT_TYPE_LAUGH     = "Amused",
    PORTRAIT_TYPE_READY     = "Ready",
    PORTRAIT_TYPE_SALUTE    = "Salute",
    PORTRAIT_TYPE_SHOUT     = "Loud",
    PORTRAIT_TYPE_SHRUG     = "Uncertain",
    PORTRAIT_TYPE_SIT       = "Sit",
    PORTRAIT_TYPE_TALK      = "Talkative",
    PORTRAIT_TYPE_WAVE      = "Wave",
    -- ------------------ - 
    FMT_SZ_WRD_BRC_NUM    = "%s [%d]",
    FMT_SZ_WRD_PAR_NUM    = "%s (%d)",
    FMT_SZ_BRC_WRD_NUM    = "[%s: %d]",
    FMT_SZ_PAR_WRD        = "(%s)",
    FMT_SZ_WRD            = "%s",
    FMT_SZ_BRC_LTR_NUM    = "[%s:%d]",
    FMT_SZ_BRC_LTR        = "[%s]",
    FMT_SZ_LTR            = "%s",
    FMT_SZ_BRC_NUM        = "[%d]",
    FMT_SZ_NUM            = "%d",
    -- ------------------ - trunc_or_wrap
    OPT_LINE_TRUNCATE     = "Truncate line",
    OPT_LINE_WORD_TRUNC   = "Truncate at word breaks", 
    OPT_LINE_WRAP_ONCE    = "Wrap once (2 lines)",
    OPT_LINE_WRAP_TWICE   = "Wrap twice (3 lines)",
    OPT_LINE_WRAP_FOREVER = "Wrap and show all text",
    -- ------------------ - misc
    ABOUT                 = "about",
    YEARS_AGO             = "ago",
    YEARS_OLD             = "years old",
    -- ------------------ - misc
    SETTINGS              = "settings",
    LETTERS               = " characters",
    GET_LINK              = "Get Link",
    GET_LINK_INSTRUCT     = "You can copy this link by using the %s keyboard shortcut and then paste the link into your browser using the %s shortcut.",
    COPY_UI               = "Copy User Interface",
    COPY_UI_INSTRUCT      = "You can copy this UI by the using %s keyboard shortcut. Then open [[Profiles]] in ElvUI configuration, choose [[[Import Profile]]], and paste the UI using the %s shortcut.",
    COPY_MANUAL           = "Copy User Manual",
    COPY_MANUAL_INSTRUCT  = "You can copy the manual by using the %s keyboard shortcut. Then open [[trp3 Extended Objects Database]], then choose [[[Quick Object Import]]] and paste the manual using the %s shortcut.",
    COPY_RECIPE           = "Copy Recipe",
    COPY_RECIPE_INSTRUCT  = "You can copy this recipe by using the %s keyboard shortcut and then paste the recipe into your ElvUI field using the %s shortcut.",
    -- ------------------ - recipes
    RECIPE_DEFAULT_TT     = "Click this to copy the recipe.",
    -- ------------------ - configuration headlines
    CONFIG_H1_DISPLAY     = "Add-On Behavior",
    CONFIG_H1_PARSE       = "Parsing Tag Values",
    CONFIG_H1_FORMATS     = "Tag Formats",
    CONFIG_H1_SIZES       = "Field Sizes",
    CONFIG_H1_LINKS       = "Helpful Links",
    CONFIG_H1_WRAP        = "Field Size Overflow",
    CONFIG_H1_DEMO        = "User Interface Demo",
    CONFIG_H1_LAYOUT      = "Unit Frames Layout",
    CONFIG_H1_ICONS       = "Unit Frame Icon Slots",
    CONFIG_H1_PANELS      = "Unit Frame Panels",
    -- CONFIG_H1_TOOLTIPS    = "Unit Frame Tooltips",
    CONFIG_H1_RESET       = "Reset " .. RPUF_NAME,
    CONFIG_H1_REF         = "Tags Reference",
    CONFIG_H1_RPUF_APPEAR = "Frame Appearance",
    CONFIG_H1_COLORS_STATUS = "Status Colors",
    CONFIG_H1_COLORS_GENDER = "Gender Colors",
    CONFIG_H1_COLORS_COMPARISON = "Comparison Colors",
    CONFIG_H1_COLORS_HILITE = "Hilite Colors",

    CONFIG_MENU_MAIN        =   APP_NAME                          ,
    CONFIG_PAGE_MAIN        =   APP_NAME ..SP .."General Settings",
    CONFIG_MENU_FORMATS     = COLOR_RP        .."Formats"         ,
    CONFIG_PAGE_FORMATS     =   APP_NAME ..SP .."Formats"         ,
    CONFIG_MENU_COLORS      = COLOR_RP        ..RAINBOW_COLORS    ,
    CONFIG_PAGE_COLORS      =   APP_NAME ..SP ..RAINBOW_COLORS    ,
    CONFIG_MENU_RPUF_LAYOUT =  RPUF_NAME                          ,
    CONFIG_PAGE_RPUF_LAYOUT =  RPUF_NAME                          ,
    CONFIG_MENU_RPUF_PANELS =  RPUF_ABBR ..SP .."Panels"          ,
    CONFIG_PAGE_RPUF_PANELS =  RPUF_NAME ..SP .."Panels"          ,
    CONFIG_MENU_REF         = COLOR_RP        .."Reference"       ,
    CONFIG_PAGE_REF         = COLOR_RP   ..SP .."Reference"       ,

    CONFIG_REF_TOPIC = "Choose a topic:",
    CONFIG_REF_TOPIC_TT   = "",
    -- --------------------- - login message
    CONFIG_LOGIN_MESSAGE_TT  = "Check to show a message from RPTAGS on login",
    CONFIG_LOGIN_MESSAGE     = "Login message", 
    CONFIG_CHANGES_MESSAGE   = "Changes message",
    CONFIG_CHANGES_MESSAGE_TT = "Check to have the login message list what's new in the current version of RPTAGS.",
    -- ------------------ - tag display
    CONFIG_LINEBREAKS     = "Allow linebreaks",
    CONFIG_LINEBREAKS_TT  = "Check to allow line breaks in other peoples' fields, such as currently or glances. This might throw off your UI layouts if enabled.",
    -- -------------------- --
    CONFIG_TWEAK_ELVUI_LIMITS = "Increase the maximum size limits on unitframes.",
    CONFIG_TWEAK_ELVUI_LIMITS_TT = "Check to allow ElvUI player and target frames to become quite large",
    CONFIG_ENABLE         = "Enable",
    CONFIG_TRP3           = "To configure [rp:tags] processing, see TRP3's configuration screens.",
    -- ------------------ - formats
    CONFIG_UNITS_HEIGHT     = "Height",
    CONFIG_UNITS_HEIGHT_TT  = "Select how to display [rp:height] when there is only a number given, or when the value is parsed. Mary Sue Protocol defines a number alone as centimeters; this is how you want those centimeters to be displayed.",
    CONFIG_UNITS_WEIGHT     = "Weight",
    CONFIG_UNITS_WEIGHT_TT  = "Select how to display [rp:weight] when there is only a number given, or when the value is parssed. Mary Sue Protocol defines a number alone as kilograms; this is how you want those kilograms to be displayed.",
    CONFIG_SIZEBUFF_FMT     = "Size buffs",
    CONFIG_SIZEBUFF_FMT_TT  = "Select how you wish to display [rp:sizebuff]. Size buffs make character larger or smaller for at least several minutes.",
    CONFIG_PROFILESIZE_FMT_TT = "Select how you want to display the size of someone else's profile with [rp:profilesize]. Numbers represent TRP3 block sizes.",
    CONFIG_PROFILESIZE_FMT    = "Profile sizes",
    -- ------------------
    CONFIG_GLANCE_COLON         = "Glance field/value separator",
    CONFIG_GLANCE_COLON_TT      = "Select the delimiter between the title of a [rp:glance] tag, and the text of that field.",
    CONFIG_GLANCE_COLON_COLON   = "Young|cff00bbbb:|r For her race",
    CONFIG_GLANCE_COLON_COMMAS  = "Young|cff00bbbb,|r For her race",
    CONFIG_GLANCE_COLON_DASHES  = "Young |cff00bbbb-|r For her race",
    CONFIG_GLANCE_COLON_SLASHES = "Young |cff00bbbb/|r For her race",
    CONFIG_GLANCE_COLON_SPACES  = "Young |cff00bbbb(space)|r For her race",
    -- ------------------
    CONFIG_GLANCE_DELIM            = "Glance delimiter",
    CONFIG_GLANCE_DELIM_TT         = "Select the delimiter between multiple [rp:glance] fields.",
    CONFIG_GLANCE_DELIM_COMMAS     = "Young|cff00bbbb,|r Well-Dressed",
    CONFIG_GLANCE_DELIM_SPACES     = "Young |cff00bbbb(space)|rWell-Dressed",
    CONFIG_GLANCE_DELIM_SEMICOLONS = "Young|cff00bbbb;|r Well-Dressed",
    CONFIG_GLANCE_DELIM_NEWLINES   = "Young|cff00bbbb(newline)|rWell-Dressed",
    CONFIG_GLANCE_DELIM_SLASHES    = "Young |cff00bbbb//|r Well-Dressed",
    -- ------------------------ - color
    CONFIG_BTN_RPUF_WITH_ELVUI      = "ElvUI Compatibility Mode",
    CONFIG_BTN_RPUF_WITH_ELVUI_TT   = "Choose a mode for RPTAGS. You can run in ElvUI mode, with just ElvUI unit frames, or in parallel mode with both ElvUI and RPUF unit frames.",
    MODE_PARALLEL               = "Parallel Mode",
    MODE_ELVUI                  = "ElvUI Mode",
    MODE_STANDALONE             = "Standalone Mode",
    MODE_CHANGE_PARALLEL        = "Switch to ElvUI",
    MODE_STAY_PARALLEL          = "Stay in Parallel",
    MODE_CHANGE_ELVUI           = "Switch to Parallel",
    MODE_STAY_ELVUI             = "Stay in ElvUI",
    MODE_CHANGE                 = "Change",
    MODE_CHANGE_WARNING_PARALLEL = "You are currently in Parallel Mode. Changing to ElvUI mode will reload your user interface. What do you want to do?",
    MODE_CHANGE_WARNING_ELVUI   = "You are currently in ElvUI Mode. Changing to Parallel mode will reload your user interface. What do you want to do?",
    MODE_CHANGE_WARNING_2       = ". Changing this will reload your user interface. What do you want to do?",
    CONFIG_COLOR_RPUF           = "Background Color",
    CONFIG_COLOR_RPUF_TT        = "Choose a background color for RPUF frames.",
    CONFIG_COLOR_UNKNOWN        = "Default/Unknown",
    CONFIG_COLOR_UNKNOWN_TT     = "This color is displayed when you use a color tag and the result isn't recognized by RPTAGS. This value applies to [rp:gendercolor], [rp:statuscolor], [rp:agecolor], and similar tags.",
    CONFIG_COLOR_MALE           = "Male",
    CONFIG_COLOR_MALE_TT        = "The color for a male character, when you use the [rp:gendercolor] tag.",
    CONFIG_COLOR_FEMALE         = "Female",
    CONFIG_COLOR_FEMALE_TT      = "The color for a female character, when you use the [rp:gendercolor] tag.",
    CONFIG_COLOR_NEUTER         = "Neuter",
    CONFIG_COLOR_NEUTER_TT      = "The color for a character with a neuter-gender character, when you use the [rp:gendercolor] tag. Only used if you have checked the boxes to enable gender extrapolation and extended genders.",
    CONFIG_COLOR_THEY           = "Non-binary / singular they",
    CONFIG_COLOR_THEY_TT        = "The color for a non-binary character or any other character that uses a singular they pronoun, when you use the [rp:gendercolor] tag. Only used if you have checked the boxes to enable gender extrapolation and extended genders.",
    CONFIG_COLOR_IC             = "In Character [IC]",
    CONFIG_COLOR_IC_TT          = "The color for a player who is currently in character, when you use the [rp:statuscolor] tag.",
    CONFIG_COLOR_OOC            = "Out of Character [OOC]",
    CONFIG_COLOR_OOC_TT         = "The color for a player who is currently out of character, when you use the [rp:statuscolor] tag.",
    CONFIG_COLOR_NPC            = "Non-Player Character",
    CONFIG_COLOR_NPC_TT         = "The color for an NPC when you use the [rp:statuscolor] tag. NPCs can't be either IC or OOC.",
    CONFIG_COLOR_LESSTHAN       = "Less than you",
    CONFIG_COLOR_LESSTHAN_TT    = "The color for a comparison tag, such as [rp:agecolor] or [rp:heightcolor], for when the other character's value is less than yours.",
    CONFIG_COLOR_EQUALISH       = "Approximately equal",
    CONFIG_COLOR_EQUALISH_TT    = "The color for a comparison tag, such as [rp:agecolor] or [rp:heightcolor], for when the other character's value is roughtly equal to yours.",
    CONFIG_COLOR_GREATERTHAN    = "Greater than you",
    CONFIG_COLOR_GREATERTHAN_TT = "The color for a comparison tag, such as [rp:agecolor] or [rp:heightcolor], for when the other haracter's value is greater than yours.",
    CONFIG_COLOR_HILITE_1       = "Hilite color 1",
    CONFIG_COLOR_HILITE_1_TT    = "The color used in the [rp:hilite-1] tag.",
    CONFIG_COLOR_HILITE_2       = "Hilite color 2",
    CONFIG_COLOR_HILITE_2_TT    = "The color used in the [rp:hilite-2] tag.",
    CONFIG_COLOR_HILITE_3       = "Hilite color 3",
    CONFIG_COLOR_HILITE_3_TT    = "The color used in the [rp:hilite-3] tag.",
    -- ------------------ - extrapolation
    CONFIG_PARSE_AGE         = "Parse Age",
    CONFIG_PARSE_AGE_TT      = "Normally, [rp:age] is only calculated when it's a number alone, which means the number of years. Check this box to have RPTAGS try to interpret age fields that have text such as '120 years' or '20 centuries'.",
    CONFIG_PARSE_HW          = "Parse Height and Weight",
    CONFIG_PARSE_HW_TT       = "Normally, [rp:height] and [rp:weight] are only calculated when they're a number alone. For height, this number represents centimeters, and for weight this represents kilograms. Check this box to have RPTAGS attempt to interpret height and weight fields that have text such as '4 foot 6', '2 meters', '165 pounds', or '12 stone'.",
    CONFIG_PARSE_GENDER      = "Parse Gender",
    CONFIG_PARSE_GENDER_TT   = "Normally, gender is based on the toon's model for [rp:gender], [rp:gendercolor], and pronoun tags. Check this box to have RPTAGS attempt to interpret gender based on a variety of profile fields, such as race and the [[[Gender]]] custom field.",
    CONFIG_ADULT_GENDERS     = "Parse Adult Genders",
    CONFIG_ADULT_GENDERS_TT  = "If you have enabled parsing of genders, check this box to have RPTAGS match rude or inappropriate names for different genders. |cffff0000Warning:|r Only enable this if you are, yourself, an adult.",
    -- ------------------ - field sizes
    CONFIG_CURR_SIZE      = "Currently/Info",
    CONFIG_CURR_SIZE_TT   = "Choose a limit on the size of the [rp:curr] and [rp:oocinfo] tags. This may make it easier for you to make RP UIs that don't get thrown off by long tag values.",
    CONFIG_GLANCETITLE_SIZE = "At First Glance Titles",
    CONFIG_GLANCETITLE_SIZE_TT = "Choose a limit on the size of the title of an [rp:glance] tag. This may make it easier for you to make RP UIs that don't get thrown off by long tag values.",
    CONFIG_GLANCE_SIZE    = "At First Glance Text",
    CONFIG_GLANCE_SIZE_TT = "Choose a limit on the size of the text in an [rp:glance] tag. This may make it easier for you to make RP UIs that don't get thrown off by long tag values.",
    CONFIG_TITLE_SIZE     = "Titles",
    CONFIG_TITLE_SIZE_TT  = "Choose a limit on the size of the [rp:title] tag. The [rp:fulltitle] tag will be limited to twice this length.",
    CONFIG_NAME_SIZE      = "Names",
    CONFIG_NAME_SIZE_TT   = "Choose a limit on the size of the [rp:name] and [rp:fullname] tags. The [rp:firstname] and [rp:lastname] tags will be limited to half this length.",
    CONFIG_MISC_SIZE      = "Other Fields",
    CONFIG_MISC_SIZE_TT   = "Choose a limit on the size of other fields, including pre-defined and user-defined, such as [rp:motto], [rp:height], [rp:age], and [rp:alignment].",
    -- ------------------ - truncate_or_wrap
    CONFIG_NAME_WRAP      = "Names",
    CONFIG_NAME_WRAP_TT   = "Choose how to handle names that exceed the maximum size you've set.",
    CONFIG_CURR_WRAP      = "Currently/Info",
    CONFIG_CURR_WRAP_TT   = "Choose how to handle currently/OOC info texts that exceed the maximum size you've set.",
    CONFIG_GLANCE_WRAP    = "At First Glance Text",
    CONFIG_GLANCE_WRAP_TT = "Choose how to handle at-first-glance text fields that exceed the maximum size you've set.",
    CONFIG_GLANCETITLE_WRAP = "At First Glance Titles",
    CONFIG_GLANCETITLE_WRAP_TT = "Choose how to handle at-first-glance titles that exceed the maximum size you've set.",
    CONFIG_TITLE_WRAP     = "Titles",
    CONFIG_TITLE_WRAP_TT  = "Choose how to handle titles that exceed the maximum size you've set.",
    CONFIG_MISC_WRAP      = "Other Fields",
    CONFIG_MISC_WRAP_TT   = "Choose how to handle other text that exceeds the maximum size you've set.",
    CONFIG_REAL_ELLIPSES  = "Use actual ellipses when truncating",
    CONFIG_REAL_ELLIPSES_TT = "Some fonts may have a problem displaying ellipsis characters. Uncheck this box to use three periods instead.",
    -- ------------------ - rpuf
    CONFIG_INFOWIDTH      = "Info Panel Width",
    CONFIG_INFOWIDTH_TT   = "Choose how wide you want the info panel to be.",
    CONFIG_ICONWIDTH      = "Icon Width",
    CONFIG_ICONWIDTH_TT   = "Choose how wide you want the icon bar to be.",
    CONFIG_PORTWIDTH      = "Portrait Width",
    CONFIG_PORTWIDTH_TT   = "Choose how wide you want the portrait to be.",
    CONFIG_GAPSIZE        = "Layout Spacing",
    CONFIG_GAPSIZE_TT     = "Choose how much extra space you want left around the elements of the unitframes.",
    CONFIG_DETAILHEIGHT   = "Details Panel Height",
    CONFIG_DETAILHEIGHT_TT  = "Choose how tall you want the details panel to be.",
    CONFIG_STATUSHEIGHT     = "Status Height",
    CONFIG_STATUSHEIGHT_TT  = "Set the height of the 'status' panel.",
  
    SET_LAYOUT            = "Set ",
    TO_VALUE              = " to ",
    CONFIG_PLAYERLAYOUT   = "Player Frame Layout",
    CONFIG_PLAYERLAYOUT_TT = "Choose the layout for the player (that's you) unit frames.",
    CONFIG_TARGETLAYOUT   = "Target Frame Layout",
    CONFIG_TARGETLAYOUT_TT = "Choose the layout for the target unit frames.",
    CONFIG_FOCUSLAYOUT    = "Focus, TargetTarget Frame Layout",
    CONFIG_FOCUSLAYOUT_TT = "Choose the layout for the focus and target-of-target unit frames.",
    CONFIG_PARTYLAYOUT    = "Party",
    CONFIG_PARTYLAYOUT_TT = "Choose the layout for the party unit frames.",
    CONFIG_RAIDLAYOUT     = "Raid Style",
    CONFIG_RAIDLAYOUT_TT = "Choose the layout for the raid unit frames.",
    CONFIG_RPUFALPHA        = "Background Transparency",
    CONFIG_RPUFALPHA_TT     = "Set the transparency of the background. 0 is completely invisible, while 100 is completely opaque.",
  
    CONFIG_NAMEPANEL      = "Name Panel",
    CONFIG_NAMEPANEL_TT   = "Set the tags for the 'name' panel. You don't have to use name tags.",
    CONFIG_INFOPANEL      = "Info Panel",
    CONFIG_INFOPANEL_TT   = "Set the tags for the 'info' panel.",
    CONFIG_STATUSPANEL    = "Status Panel",
    CONFIG_STATUSPANEL_TT = "Set the tags for the 'status' panel. You don't have to use status tags.",
    CONFIG_DETAILPANEL    = "Details Panel",
    CONFIG_DETAILPANEL_TT = "Set the tags for the 'details' panel.",
    CONFIG_ICON_1         = "Icon Slot 1",
    CONFIG_ICON_1_TT      = "Set the icon for the first icon slot. You should use icon tags.",
    CONFIG_ICON_2         = "Icon Slot 2",
    CONFIG_ICON_2_TT      = "Set the icon for the second icon slot. You should use icon tags.",
    CONFIG_ICON_3         = "Icon Slot 3",
    CONFIG_ICON_3_TT      = "Set the icon for the third icon slot. You should use icon tags.",
    CONFIG_ICON_4         = "Icon Slot 4",
    CONFIG_ICON_4_TT      = "Set the icon for the fourth icon slot. You should use icon tags.",
    CONFIG_ICON_5         = "Icon Slot 5",
    CONFIG_ICON_5_TT      = "Set the icon for the fifth icon slot. You should use icon tags.",
    CONFIG_ICON_6         = "Icon Slot 6",
    CONFIG_ICON_6_TT      = "Set the icon for the sixth icon slot. You should use icon tags.",
  
    CONFIG_UNLOCK_FRAMES  = "Unlock Frames",
    CONFIG_LOCK_FRAMES    = "Lock Frames",
    CONFIG_LOCK_FRAMES_TT = "Lock the unit frames so they can't be moved.",
  
    LOCKING_FRAMES        = RPUF_NAME .. " are now locked in position.",
    UNLOCKING_FRAMES      = RPUF_NAME .. " are now unlocked and can be moved.",
  
    -- CONFIG_MODIFY_ELVUI_PANELS = "Allow RPUF to modify ElvUI frames",
    -- CONFIG_MODIFY_ELVUI_PANELS_TT = "This will erase the name, health, and power text formats on your ElvUI player, target, focus, and targettarget frames. Are you sure you want to do this? (We'll also store a copy of your original text formats in case you change your mind.",
    -- CONFIG_BTN_RESTORE_ELVUI_PANELS = "Restore ElvUI frame texts",
    -- CONFIG_BTN_RESTORE_ELVUI_PANELS_TT = "This will restore your ElvUI panels to their original text formats, and turn off RPUF's permission to change them.",
    -- RESTORE = "Restore",
    -- 
    CONFIG_NAME_TOOLTIP      = "Name Panel Tooltip",
    CONFIG_NAME_TOOLTIP_TT   = "Set the tags for the 'name' panel tooltip.",
    CONFIG_PORTRAIT_TOOLTIP    = "Portrait Tooltip",
    CONFIG_PORTRAIT_TOOLTIP_TT    = "Set the tags for the portrait tooltip.",
    CONFIG_ICON_1_TOOLTIP      = "Icon Slot 1 Tooltip",
    CONFIG_ICON_1_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_ICON_2_TOOLTIP      = "Icon Slot 2 Tooltip",
    CONFIG_ICON_2_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_ICON_3_TOOLTIP      = "Icon Slot 3 Tooltip",
    CONFIG_ICON_3_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_ICON_4_TOOLTIP      = "Icon Slot 4 Tooltip",
    CONFIG_ICON_4_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_ICON_5_TOOLTIP      = "Icon Slot 5 Tooltip",
    CONFIG_ICON_5_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_ICON_6_TOOLTIP      = "Icon Slot 6 Tooltip",
    CONFIG_ICON_6_TOOLTIP_TT   = "Set the tags for the first icon slot tooltip.",
    CONFIG_INFO_TOOLTIP      = "Info Panel Tooltip",
    CONFIG_INFO_TOOLTIP_TT   = "Set the tags for the 'info' panel tooltip.",
    CONFIG_STATUS_TOOLTIP    = "Status Panel Tooltip",
    CONFIG_STATUS_TOOLTIP_TT = "Set the tags for the 'status' panel tooltip.",
    CONFIG_DETAIL_TOOLTIP    = "Details Panel Tooltip",
    CONFIG_DETAIL_TOOLTIP_TT = "Set the tags for the 'details' panel tooltip.",
    -- ------------------ - portraits
    PORTRAIT_3D             = "3D Model",
    PORTRAIT_2D             = "2D Portrait",
    -- ------------------ - tag editing
    CONTEXT_MENU_TITLE      = "Choose an Option",
    CONTEXT_LOCK_FRAMES     = "Lock all "   .. RPUF_NAME .. " positions",
    CONTEXT_UNLOCK_FRAMES   = "Unlock all " .. RPUF_NAME .. " positions",
    CONTEXT_SHOW_FRAMES     = "Show all "   .. RPUF_NAME .. " in combat",
    CONTEXT_HIDE_FRAMES     = "Hide all "   .. RPUF_NAME .. " in combat",
    EDIT_TAGS               = "Edit Tags",
    EDIT_PANEL              = "Edit Panel Tags",
    EDIT_TOOLTIP            = "Edit Tooltip Tags",
    EDIT_ICON               = "Edit Icon Slot Tags",
    EDIT_TAGS_FOR           = "Edit Tags for ",
    CONFIGURE_FRAME_LAYOUT  = "Configure All " .. RPUF_NAME,
    CANCEL                  = "Cancel",
    CONFIG_BTN_RESET_FRAMES     = "Reset Layout",
    CONFIG_BTN_RESET_FRAMES_TT  = "Reset unit frames to their panel sizes and locations.",
    CONFIG_BTN_RESET_TAGS       = "Reset Panel and Icon Tags",
    CONFIG_BTN_RESET_TAGS_TT    = "Reset panels and icon slots to their default tag values.",
    CONFIG_BTN_RESET_COLORS = "Reset Colors",
    CONFIG_BTN_RESET_COLORS_TT = "Reset custom colors to their orignal values.",
    RESET                   = "Reset Now",
    TAGS_ARE_RESET          = "All " .. RPUF_NAME .. " panels and tooltips have been reset to their default tag values.",
    FRAMES_ARE_RESET        = "All " .. RPUF_NAME .. " have been reset to their original panel sizes and locations.",
    COLORS_ARE_RESET        = "All custom colors have been reset to their original values.",
    -- ------------------ - unitframe layouts
    RPUF_FULL               = "Detailed",
    RPUF_ABRIDGED           = "Standard",
    RPUF_COMPACT            = "Compact",
    RPUF_HIDDEN             = "Do not display",
    RPUF_PAPERDOLL          = "Portrait",
    RPUF_THUMBNAIL          = "Thumbnail",
    -- ------------------ - buttons
    CONFIG_BTN_DL         = "Link: TukUI Download",
    CONFIG_BTN_DL_TT      = "Download the latest version from the TukUI site",
    CONFIG_BTN_DL_URL     = "http://tinyurl.com/rptags-tukui",
    CONFIG_BTN_WIKI       = "Link: Wiki page",
    CONFIG_BTN_WIKI_TT    = "Read about [rp:tags] on the Moon Guard wikia",
    CONFIG_BTN_WIKI_URL   = "http://tinyurl.com/rptags-wiki",
    CONFIG_BTN_DISC       = "Link: Invite to Discord",
    CONFIG_BTN_DISC_TT    = "Talk to the developer and report bugs on the Discord channel",
    CONFIG_BTN_DISC_URL   = "https://discord.gg/zGPP9x9",
    CONFIG_BTN_TWTR       = "Link: |cffbb00bbOraibi|r's twitter",
    CONFIG_BTN_TWTR_TT    = "Follow the developer's twitter",
    CONFIG_BTN_TWTR_URL   = "http://twitter.com/oraibimoonguard",
    CONFIG_BTN_CURSE      = "Link: Curse Download",
    CONFIG_BTN_CURSE_TT   = "Download the latest version from the Curse site",
    CONFIG_BTN_CURSE_URL  = "http://tinyurl.com/rptags-curse",
    CONFIG_BTN_DEMO       = "Copy: Demo UI for ElvUI",
    CONFIG_BTN_DEMO_TT    = "Open 'Profiles' in ElvUI configuration, then choose 'Import Profile'.",
    CONFIG_BTN_DEMO_URL   = "demo",
    CONFIG_BTN_MANUAL     = "Copy: User Manual in trp3 Extended",
    CONFIG_BTN_MANUAL_TT  = "Open trp3 Extended Objects Database, then choose 'Quick Object Import'. You now have a readable user manual in the game, for reference.",
    CONFIG_BTN_MANUAL_URL = "manual",
    CONFIG_BTN_DISABLE_BLIZZARD    = "|cffdd0000Disable Blizzard Unit Frames|r",
    CONFIG_BTN_DISABLE_BLIZZARD_TT = "Note: Requires a UI reload.",
    CONFIG_BTN_ENABLE_BLIZZARD = "|cff00dd00Enable Blizzard Unit Frames|r",
    CONFIG_BTN_ENABLE_BLIZZARD_TT = "Note: Requires a UI reload.",
    TOGGLE                = "Toggle and Reload",
    -- ------------------ - ic/ooc status
    IS_IC                 = "[IC]",
    IS_OOC                = "[OOC]",
    IS_NPC                = "[NPC]",
    IS_UNDEF              = "[Unk]",
    IS_IC_VERBOSE         = "In Character",
    IS_OOC_VERBOSE        = "Out of Character",
    IS_NPC_VERBOSE        = "Non-Player Character",
    IS_DM_VERBOSE         = "Storyteller",
    IS_LOOKING_VERBOSE    = "Looking for Contact",
    IS_UNDEF_VERBOSE      = "RP Status Unknown",
    -- ------------------ - when texts get wordy
    EYE                   = "eye",
    EYES                  = "eyes",
    AGE_YEARS             = "years",
    -- ------------------ - placeholder values when nothing found
    PH_AGE                = "unknown age",
    PH_HEIGHT             = "unknown height",
    PH_WEIGHT             = "unknown weight",
    PH_EYES               = "unknown eye color",
    PH_LOCATION           = "unknown location",
    PH_GLANCE             = "...",
    PH_TITLE              = "unknown title",
    PH_CURR               = "nothing currently",
    PH_INFO               = "no info available",
    PH_CLASS              = "unknown class",
    PH_RACE               = "unknown race",
  
    UNDEF_AGE             = "unknown age",
    UNDEF_EYES            = "nondescript",
    UNDEF_LOCATION        = "an unknown location",
    -- ------------------ - general formats
    FMT_APP_LOAD          = "v%s loaded in [[%s]]. Type [[[%s]]] for help.",
    FMT_APP_NAME          = "%s (v%s)",
    FMT_BOND_NAME         = "%s, %s %s",
    FMT_MOTTO             = '"%s"',
    -- ------------------ - tag editing
    FMT_TAG_TEST          = "%s Testing your tags now.",
    TAG_EDITOR            = " Tag Editor",
    -- MORE_TAGS             = "More " .. T_ .. Icon.MORE .. _t,
    MORE_TAGS             = "More ...", 
    TAG_TEST_PASS         = "No errors found.",
    TAG_TEST_FAIL         = "Unknown tags found: ",
    TAG_TEST_FAIL_SINGULAR = "Unknown tag found: ",
    TAG_EDIT_HELP         = "|cff%s%s|r\n\n%s",
    TAG_EDIT_UPDATE       = "Save Tags",
    TAG_EDIT_CANCEL       = "Cancel",
    TAG_EDIT_TEST         = "Test Tags", 
    TAG_EDIT_REVERT       = "Revert",
    TAG_EDIT_DEFAULT      = "Default",
    TAG_EDIT_ERRORS       = "You have unknown tags. Save anyway?",
    TAG_EDIT_ERRORS_SAVE  = "Save Anyway",
    TAG_EDIT_ERRORS_CANCEL = "Cancel",
    TAG_EDIT_ERRORS_EDIT  = "Edit Tags",
    TAG_EDIT_RESULTS      = "Test Results",
    TAG_EDIT_RESULTS_PASS = "Test Results: Passed",
    TAG_EDIT_RESULTS_FAIL = "Test Results: Errors Found",
    RELOAD_UI_WARNING     = "This will reload your user interface. Are you sure you want to do that?",
    RELOAD_UI_WARNING_YES = "Yes, Reload",
    RELOAD_UI_WARNING_NO  = "Cancel",
    FMT_CONFIG_SET        = "%s Setting |cff%s%s|r to |cff%s%s|r",
    UNKNOWN_TAG_START     = "|cffff0000Tag Error: [",
    UNKNOWN_TAG_END       = "]|r",
    -- ------------------ - - formats for sizebuffs
    FMT_SB_PCT            = "%+d%%",
    FMT_SB_PCT_BRC        = "[%+d%%]",
    FMT_SB_PCT_BUFF       = "%+d%% (%s)",
    FMT_SB_BUFF_PCT       = "%s (%+d%%)",
    FMT_SB_BUFF           = "%s",
    FMT_SB_BUFF_BRC       = "[%s]",
    FMT_SB_BUFF_PCT_BRC   = "[%s, %+d%%]",
    FMT_HEIGHT_SIZE_BUFF  = "%s [%s, %+d%%]",
    FMT_SIZE_BUFF         = "%s [%+d%%]",
    FMT_SIZE_BUFF_SHORT   = "[%+d%%]",
    -- ------------------ - formats for cm/in/ft
    FMT_CM                = "%d cm",
    FMT_CM_FT_IN          = "%d cm (%d' %d\")",
    FMT_CM_IN             = "%d cm (%d\")",
    FMT_FT_IN             = "%d' %d\"",
    FMT_FT_IN_CM          = "%d' %d\" (%d cm)",
    FMT_IN                = "%d\"",
    FMT_IN_CM             = "%d\" (%d cm)",
    FMT_HEIGHT_PASSTHRU   = "%s",
    -- ------------------ - formats for kg/stone/lb
    FMT_KG                = "%d kg",
    FMT_KG_LB             = "%d kg (%d lb)",
    FMT_KG_ST_LB          = "%d kg (%d stone %d lb)",
    FMT_LB_KG             = "%d lb (%d kg)",
  
    FMT_LB_ST             = "%d lb (%d stone %d lb)",
    FMT_ST_LB             = "%d stone %d lb",
    FMT_ST_LB_KG          = "%d stone %d lb (%d kg)",
    FMT_ST_LB_LB_KG       = "%d stone %d lb (%d lb, or %d kg)",
    FMT_WEIGHT_PASSTHRU   = "%s",
    --------------------- - gender and pronouns -----------------------------------------------------------
    PRONOUN_TAGS          = "sopar",                      -- pronouns are language-dependent
                                                          -- english:
                                                          -- s = subject (nominative)     "[She] is laughing."
                                                          -- o = object                   "I called [her]."
                                                          -- p = possessive (determiner)  "[Her] eyes gleam."
                                                          -- a = absolute                 "That is [hers]."
                                                          -- r = reflexive                "She likes [herself]."
    GENDERS               = "THEY;NEUTER;FEMALE;MALE",    -- genders are language-dependent
  
    GENDER_MALE           = "Male",
    GENDER_ALIASES_MALE   = "male;boy;man;transman;trans man;transgender man;transmasc",
    GENDER_ADULT_MALE     = "snttbg;snt;genc;phagobl;phagobv;obv;srzobl",
    GENDER_PERSON_MALE    = "man",
    GENDER_CHILD_MALE     = "boy",
  
    PRONOUN_MALE_S        = "he",
    PRONOUN_MALE_O        = "him",
    PRONOUN_MALE_P        = "his",
    PRONOUN_MALE_A        = "his",
    PRONOUN_MALE_R        = "himself",
  
    GENDER_FEMALE         = "Female",
    GENDER_ALIASES_FEMALE = "female;girl;woman;lesbian;trans woman;transwoman;transgender woman;lady",
    GENDER_ADULT_FEMALE   = "ovgpu;qlxr;shgn;shgnanev;furznyr;fur-znyr;genaal;qvpxtvey",
    GENDER_PERSON_FEMALE  = "woman",
    GENDER_CHILD_FEMALE   = "girl",
  
    PRONOUN_FEMALE_S      = "she",
    PRONOUN_FEMALE_O      = "her",
    PRONOUN_FEMALE_P      = "her",
    PRONOUN_FEMALE_A      = "hers",
    PRONOUN_FEMALE_R      = "herself",
  
    GENDER_NEUTER         = "Neuter",
    GENDER_ALIASES_NEUTER = "neuter;agender;non-gendered;nongendered;robot;eunuch",
    GENDER_ADULT_NEUTER   = "gbnfgre",
    GENDER_PERSON_NEUTER  = "person",
    GENDER_CHILD_NEUTER   = "child",
  
    PRONOUN_NEUTER_S      = "it",
    PRONOUN_NEUTER_O      = "it",
    PRONOUN_NEUTER_P      = "its",
    PRONOUN_NEUTER_A      = "its",
    PRONOUN_NEUTER_R      = "itself",
  
    GENDER_THEY           = "Non-Binary",
    GENDER_ALIASES_THEY   = "non-binary;nonbinary;enby;enbie;genderqueer;genderfluid",
    GENDER_ADULT_THEY     = "traqreshpx", 
    GENDER_PERSON_THEY    = "person",
    GENDER_CHILD_THEY     = "child",
  
    PRONOUN_THEY_S        = "they",
    PRONOUN_THEY_O        = "them",
    PRONOUN_THEY_P        = "their",
    PRONOUN_THEY_A        = "theirs",
    PRONOUN_THEY_R        = "themselves",
  
    EXTRA_PRONOUN_SETS    = "SPIVAK;ELVERSON;HOU;THON;VE;XE;BORNSTEIN;HIR;ZIR;ZES;MER;PER;ZHE;PEH;HUMANIST",
                            -- based on https://en.wikipedia.org/wiki/Third-person_pronoun
  
    PRONOUN_SPIVAK_S      = "E",
    PRONOUN_SPIVAK_O      = "Em",
    PRONOUN_SPIVAK_P      = "Eir",
    PRONOUN_SPIVAK_A      = "Eirs",
    PRONOUN_SPIVAK_R      = "Emself",
  
    PRONOUN_ELVERSON_S    = "ey",
    PRONOUN_ELVERSON_O    = "em",
    PRONOUN_ELVERSON_P    = "eir",
    PRONOUN_ELVERSON_A    = "eirs",
    PRONOUN_ELVERSON_R    = "emself",
  
    PRONOUN_HOU_S         = "hou",
    PRONOUN_HOU_O         = "hee",
    PRONOUN_HOU_P         = "hy",
    PRONOUN_HOU_A         = "hine",
    PRONOUN_HOU_R         = "hyself",
  
    PRONOUN_THON_S        = "thon",
    PRONOUN_THON_O        = "thon",
    PRONOUN_THON_P        = "thons",
    PRONOUN_THON_A        = "thons",
    PRONOUN_THON_R        = "thonself",
  
    PRONOUN_VE_S          = "ve",
    PRONOUN_VE_O          = "ver",
    PRONOUN_VE_P          = "vis",
    PRONOUN_VE_A          = "vis",
    PRONOUN_VE_R          = "verself",
  
    PRONOUN_XE_S          = "xe",
    PRONOUN_XE_O          = "xem",
    PRONOUN_XE_P          = "xyr",
    PRONOUN_XE_A          = "xyrs",
    PRONOUN_XE_R          = "xemself",
  
    PRONOUN_BORNSTEIN_S   = "ze",
    PRONOUN_BORNSTEIN_O   = "hir",
    PRONOUN_BORNSTEIN_P   = "hir",
    PRONOUN_BORNSTEIN_A   = "hirs",
    PRONOUN_BORNSTEIN_R   = "hirself",
  
    PRONOUN_HIR_S         = "sie",
    PRONOUN_HIR_O         = "hir",
    PRONOUN_HIR_P         = "hir",
    PRONOUN_HIR_A         = "hirs",
    PRONOUN_HIR_R         = "hirself",
  
    PRONOUN_ZIR_S         = "zie",
    PRONOUN_ZIR_O         = "zir",
    PRONOUN_ZIR_P         = "zir",
    PRONOUN_ZIR_A         = "zirs",
    PRONOUN_ZIR_R         = "zirself",
  
    PRONOUN_ZES_S         = "ze",
    PRONOUN_ZES_O         = "zem",
    PRONOUN_ZES_P         = "zes",
    PRONOUN_ZES_A         = "zes",
    PRONOUN_ZES_R         = "zemself",
  
    PRONOUN_MER_S         = "ze",
    PRONOUN_MER_O         = "mer",
    PRONOUN_MER_P         = "zer",
    PRONOUN_MER_A         = "zers",
    PRONOUN_MER_R         = "zemself",
  
    PRONOUN_PER_S         = "per",
    PRONOUN_PER_O         = "per",
    PRONOUN_PER_P         = "per",
    PRONOUN_PER_A         = "pers",
    PRONOUN_PER_R         = "perself",
  
    PRONOUN_ZHE_S         = "zhe",
    PRONOUN_ZHE_O         = "zhim",
    PRONOUN_ZHE_P         = "zher",
    PRONOUN_ZHE_A         = "zhers",
    PRONOUN_ZHE_R         = "zhimself",
  
    PRONOUN_PEH_S         = "peh",
    PRONOUN_PEH_O         = "pehm",
    PRONOUN_PEH_P         = "peh",
    PRONOUN_PEH_A         = "peh's",
    PRONOUN_PEH_R         = "pehself",
  
    PRONOUN_HUMANIST_S    = "hu",
    PRONOUN_HUMANIST_O    = "hum",
    PRONOUN_HUMANIST_P    = "hus",
    PRONOUN_HUMANIST_A    = "hus",
    PRONOUN_HUMANIST_R    = "humself",
  
    GENDER_UNKNOWN        = "Unknown",
  
    -- ------------------ - relationship status -----------------------------------------------------------
    RSTATUS_0             = "",
    RSTATUS_1             = "Single",
    RSTATUS_2             = "Taken",
    RSTATUS_3             = "Married",
    RSTATUS_4             = "Divorced",
    RSTATUS_5             = "Widowed",
    -- ------------------ - server ------------------------------------------------------------------------
    ["SERVER_TYPE_RP"]    = "Roleplaying",
    ["SERVER_TYPE_PVE"]   = "Normal",
    -- ------------------ - languages ---------------------------------------------------------------------
    LANG_deDE             = "German",
    LANG_enGB             = "English",
    LANG_enUS             = "English",
    LANG_esES             = "Spanish",
    LANG_esMX             = "Spanish",
    LANG_frFR             = "French",
    LANG_itIT             = "Italian",
    LANG_koKR             = "Korean",
    LANG_ptBR             = "Portuguese",
    LANG_ruRU             = "Russian",
    LANG_zhCN             = "Chinese",
    LANG_zhTW             = "Chinese",
    -- ------------------ - region ------------------------------------------------------------------------
    REGION_CN             = "China",
    REGION_CN_zhCN_       = "China",
    REGION_EU             = "Europe",
    REGION_EU_deDE_       = "Germany",
    REGION_EU_enUS_       = "United Kingdom",
    REGION_EU_esES_       = "Spain",
    REGION_EU_frFR_       = "France",
    REGION_EU_itIT_       = "Italy",
    REGION_EU_ptBR_       = "Portugal",
    REGION_EU_ruRU_       = "Russia",
    REGION_KR             = "Korea",
    REGION_KR_koKR_       = "Korea",
    REGION_TW             = "Taiwan",
    REGION_TW_zhTW_       = "Taiwan",
    REGION_US             = "United States",
    REGION_US_enUS_AEST   = "Oceania",
    REGION_US_enUS_CST    = "US Central",
    REGION_US_enUS_EST    = "US Eastern",
    REGION_US_enUS_MST    = "US Mountain",
    REGION_US_enUS_PST    = "US Pacific",
    REGION_US_esMX_CST    = "Latin America",
    REGION_US_ptBR_       = "Brazil",
    -- ------------------ - RP Style preferences
    STYLE_BATTLE_0         = "",            STYLE_BATTLE_0_ICON  = "",                     STYLE_BATTLE_0_LONG  = "",
    STYLE_BATTLE_1         = "PvP",         STYLE_BATTLE_1_ICON  = T_..Icon.BATTLE_1 .._t, STYLE_BATTLE_1_LONG  = "World of Warcraft PvP",
    STYLE_BATTLE_2         = "TRP",         STYLE_BATTLE_2_ICON  = T_..Icon.BATTLE_2 .._t, STYLE_BATTLE_2_LONG  = "TRP roll battle",
    STYLE_BATTLE_3         = "/roll",       STYLE_BATTLE_3_ICON  = T_..Icon.BATTLE_3 .._t, STYLE_BATTLE_3_LONG  = "/roll battle",
    STYLE_BATTLE_4         = "Emote",       STYLE_BATTLE_4_ICON  = T_..Icon.BATTLE_4 .._t, STYLE_BATTLE_4_LONG  = "Emote battle",
    STYLE_DEATH_0          = "",            STYLE_DEATH_0_ICON   = "",                     STYLE_DEATH_0_LONG   = "",
    STYLE_DEATH_1          = "Yes",         STYLE_DEATH_1_ICON   = T_..Icon.DEATH_1  .._t, STYLE_DEATH_1_LONG   = "Yes",
    STYLE_DEATH_2          = "No",          STYLE_DEATH_2_ICON   = T_..Icon.DEATH_2  .._t, STYLE_DEATH_2_LONG   = "No",
    STYLE_DEATH_3          = "Ask",         STYLE_DEATH_3_ICON   = T_..Icon.DEATH_3  .._t, STYLE_DEATH_3_LONG   = "With player permission",
    STYLE_GUILD_0          = "",            STYLE_GUILD_0_ICON   = "",                     STYLE_GUILD_0_LONG   = "",
    STYLE_GUILD_1          = "IC",          STYLE_GUILD_1_ICON   = T_..Icon.GUILD_1  .._t, STYLE_GUILD_1_LONG   = "IC membership",
    STYLE_GUILD_2          = "OOC",         STYLE_GUILD_2_ICON   = T_..Icon.GUILD_2  .._t, STYLE_GUILD_2_LONG   = "OOC membership",
    STYLE_IC_0             = "",            STYLE_IC_0_ICON      = "",                     STYLE_IC_0_LONG      = "",
    STYLE_IC_1             = "Full",        STYLE_IC_1_ICON      = T_..Icon.IC_1     .._t, STYLE_IC_1_LONG      = "Full-time, no OOC",
    STYLE_IC_2             = "Mostly",      STYLE_IC_2_ICON      = T_..Icon.IC_2     .._t, STYLE_IC_2_LONG      = "Most of the time",
    STYLE_IC_3             = "Sometimes",   STYLE_IC_3_ICON      = T_..Icon.IC_3     .._t, STYLE_IC_3_LONG      = "Mid-time",
    STYLE_IC_4             = "Casual",      STYLE_IC_4_ICON      = T_..Icon.IC_4     .._t, STYLE_IC_4_LONG      = "Casual",
    STYLE_IC_5             = "Never",       STYLE_IC_5_ICON      = T_..Icon.IC_5     .._t, STYLE_IC_5_LONG      = "Full-time OOC, not a RP character",
    STYLE_INJURY_0         = "",            STYLE_INJURY_0_ICON  = "",                     STYLE_INJURY_0_LONG  = "",
    STYLE_INJURY_1         = "",            STYLE_INJURY_1_ICON  = T_..Icon.INJURY_1 .._t, STYLE_INJURY_1_LONG  = "Yes",
    STYLE_INJURY_2         = "No",          STYLE_INJURY_2_ICON  = T_..Icon.INJURY_2 .._t, STYLE_INJURY_2_LONG  = "No",
    STYLE_INJURY_3         = "Ask",         STYLE_INJURY_3_ICON  = T_..Icon.INJURY_3 .._t, STYLE_INJURY_3_LONG  = "With player permission",
    STYLE_ROMANCE_0        = "",            STYLE_ROMANCE_0_ICON = "",                     STYLE_ROMANCE_0_LONG = "",
    STYLE_ROMANCE_1        = "Yes",         STYLE_ROMANCE_1_ICON = T_..Icon.ROMANCE_1.._t, STYLE_ROMANCE_1_LONG = "Yes",
    STYLE_ROMANCE_2        = "No",          STYLE_ROMANCE_2_ICON = T_..Icon.ROMANCE_2.._t, STYLE_ROMANCE_2_LONG = "No",
    STYLE_ROMANCE_3        = "Ask",         STYLE_ROMANCE_3_ICON = T_..Icon.ROMANCE_3.._t, STYLE_ROMANCE_3_LONG = "With player permission",
    XP_0                   = "",            XP_0_ICON            = "",                     XP_0_SHORT           = "",
    XP_1                   = "Rookie",      XP_1_ICON            = T_..Icon.XP_1     .._t, XP_1_SHORT           = "[R]",
    XP_2                   = "Experienced", XP_2_ICON            = T_..Icon.XP_1     .._t, XP_2_SHORT           = "[E]",
    XP_3                   = "Volunteer",   XP_3_ICON            = T_..Icon.XP_1     .._t, XP_3_SHORT           = "[V]",
    -- ------------------ = client info
    CLIENT_TRP            = "Total RP 3",
    CLIENT_TRP_SHORT      = "TRP",
    CLIENT_XRP            = "XRP",
    CLIENT_XRP_SHORT      = "XRP",
    CLIENT_MRP            = "MyRolePlay",
    CLIENT_MRP_SHORT      = "MRP",
    CLIENT_TRPE           = "Total RP 3: Extended",
    CLIENT_TRPE_SHORT     = "TRP:E",
  
    -- ------------------ - help --------------------------------------------------------------------------
    FMT_HELP              = "%s %s",
  
    HELP_PARAM_BLANK      = "",
    HELP_PARAM_LIST       = "list",
    HELP_PARAM_CHANGES    = "changes",
    HELP_PARAM_VERSION    = "version",
    HELP_PARAM_DUMP_SETTINGS = "dump settings",
  
    HELP_LIST_START       = "Available tags are:\n",
    HELP_LIST_END         = "\nFor help, type [[/rptags tag]].",
    HELP_ERROR            = "Unknown tag. Type [[/rptags list]] for a list.",
  }
    -- end of enUS ------------------------------------------------------------------------------------------------
    --
    -- ------------------ - help topics
  
  local HELP_DATA = {
    DEFAULT = { title = "DEFAULT: (Choose a Topic)", keys = { "default", }, text = 
  [==[Available topics: [[intro]], [[[colors]]], [[recipes]], [[[settings]]], [[credits]], [[[links]]]
  
  For a full list of tags in RPTAGS, type [[/rptags list]].
  For help on a specific tag, type [[/rptags]] [[[tagname]]].
  ]==], 
    }, -- default
  
    INTRO = { title = "Introduction", keys = { "intro", "msp", "trp", }, text = 
  [==[
  RPTAGS lets you create custom user frames that display roleplaying profile information.
  
  There are three ways to use RPTAGS. 
  
  [[ElvUI Mode:]] If you have ElvUI, you can use these tags in your normal unit frames. To configure, go to ElvUI Configuration > Unit Frames.
  [[Standalone Mode:]] You can use these tags in RPUF.
  [[Parallel Mode:]] You can use these tags with both RPUF and ElvUI unit frames.

  A tag is simply a word contained between brackets, usually prefaced by rp: for those tags added by RPTAGS. Examples include [rp:name], [rp:glance-1-icon], [rp:gendercolor], and [rp:ooc]. You enter the tags you want to see into the appropriate unit frame settings, and when that unit frame is show, you'll see the roleplaying information for the person displayed.
  ]==],
    }, -- intro
  
    SETTINGS = { title = "Settings", keys = { "settings", "config", }, text =
  [==[
  All settings are available through TRP3's setting menu.
  
  [[Tag Display]] - when and how to display tags
  [[Tag Formats]] - change the way certain tags are displayed
  [[Extrapolation]] - try to programmatically determine unknown values
  [[Field Sizes]] - set the maximum sizes for certain tags
  [[Colors]] - choose custom colors for certain tags
  [[Links]] - download and wiki web links, copyable
  [[Demo UI]] - a demonstration UI for importing into ElvUI
  ]==],
    }, -- settings
  
    CREDITS =  { title = "Credits", keys = { "credits", },  text = 
  [==[
  RPTAGS was created by |cffbb00bbOraibi|r of the [[Moon Guard]] server.
  
  Libraries used to create RPTAGS and RPUF include [oUF] by Trond A Esketh, Val Voronov, Adrian L Lange, and Rainrider; [LibStub] by Kaelten, Cladhaire, ccknight, Mikk, Ammo, Nevcairiel, and johsborke; [LibRealmInfo] by Phanx; and [LibSharedMedia] by Elkano.
  
  The tag editor uses the [Source Code Pro] font by Paul D. Hunt.
  
  [[Total RP 3]] created by Renaud "Ellypse" Parize, Sylvain "Telkostrasz" Cossement, Solanya, Connor "Saelorable" MacLeod, Daniel "Meorawr" Yates.
  [[MyRolePlay]] created by Katorie, Myoukochou, TheTrenchRat.
  [[XRP]] created by borblasthammer2.
  [[ElvUI]] created by Blazeflack, Haste, Hydrazine, Nightcracker, Omega1970, Tukz, Azilroka, Simpy, and Merathilis.
  ]==],
    }, -- credits
  
    RECIPES = { title = "Recipes", keys = { "recipe", }, text =
  [==[These are some common uses of RPTAGS.
  
  [rp:color][rp:title] [rp:name], [rp:title-long][nocolor]
  Show someone's short title, name, and long title.
  
  [rp:eyecolor][rp:eyes-label][nocolor]
  Show the color of someone's eyes.
  
  [rp:heightcolor][rp:height][rp:sizebuff], [rp:weightcolor][rp:weight][nocolor]
  Show someone's height and weight or body shape.
  
  [rp:agecolor][rp:age][nocolor]
  Show someone's age, colored relative to your age.
  
  [rp:statuscolor][rp:ooc][rp:npc][nocolor] [rp:curr] ([rp:oocinfo])
  Show someone's status, what they're currently doing, and what their OOC info is.
  
  [rp:gendercolor][rp:gender] [rp:hilite][rp:race] [rp:color][rp:class][nocolor]
  Show someone's gender, colored; race, hilighted; and class, colored.
  
  [rp:profilesizecolor]Profile size: [rp:profilesize][nocolor]
  Show the size of soemone's profile, colored by that size.
  ]==],
    }, -- recipes
  
    LINKS = { title = "Links", keys = { "links", "guide", "download", "curse", "wiki", "contact", }, text =
  [==[[[[http://tinyurl.com/rptags-curse]]] - download site
  [[[http://tinyurl.com/rptags-tukui]]] - download site
  [[[http://tinyurl.com/rptags-wiki]]] - wiki page with tutorial
  [[[https://discord.gg/8sP9j]]] - discord invite
  [[[http://twitter.com/oraibimoonguard]]] - dev's twitter
  
  Clickable links can be found in TRP3 configuration.
  ]==],
    }, -- links
  
    LABELS = { title = "Labels", keys = { "label", "labels", }, text =
  [==[Most tags can autogenerate their own labels. If a tag's contents are empty, the label won't appear.
  
  To use a label, simply add [[-label]] to the tag.
  
  For example, to add a label to [rp:eyes], write:
  
  [rp:eyes-label]
  ]==],
    }, -- labels
  }; 
  
  if not RPTAGS.cache            then RPTAGS.cache            = {} end;
  if not RPTAGS.cache.helpdata   then RPTAGS.cache.helpdata   = {} end;
  if not RPTAGS.cache.helptopics then RPTAGS.cache.helptopics = {} end;
  
  for topic, topicData in pairs(HELP_DATA)
  do  local title = "- " .. topicData.title;
      local keys = topicData.keys;
      local text = topicData.text;
      RPTAGS.cache.helptopics[topic] = true;
      Locale[lang]["HELPTITLE_"..topic] = title;
      Locale[lang]["HELPTOPIC_"..topic] = text;
      for _, k in ipairs(topicData.keys) do  RPTAGS.cache.helpdata[k] = topic; end; -- for k
  end; -- for topic
    
  return "enUS";
end); -- startup function
